DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# AdaptiveGauss

Performs Gaussian filtering steered by paramter images

## SYNOPSIS

`#include "dip_adaptive.h"`

dip_Error dip_AdaptiveGauss( in,out,para_images,filterSize,order,truncation )

## DATA TYPES

sfloat

## FUNCTION

This function performs Gaussian filtering steerd by the information stored in the paramter images. The meaning of the parameter images depends on the dimensionality of the input image. Up to now only 2 and 3D images are supported for adaptive filtering. If the input image is not of type float it is converted to that type.

`para_images`: ImageArray containing orientation images.

2D: angle of the orientation

3D: polar coordinate phi, theta for intrinsic 1D structures polar coordinates of two orientations for intrinsic 2D structures

`filterSize`: Array containing the sigmas of the derivatives.

For intrinsic 1D structures, the first value is along the contour, the second perpendicular to it.

For intrinsic 2D structures, the first two are in the plane, whereas the other is perpendicular to them. If a value is zero no convolution is done is this direction.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_ImageArray` | `para_images` | Parameter images
`dip_FloatArray` | `filterSize` | Size of the filter
`dip_IntegerArray` | `order` | Order of the Gaussian derivative
`dip_int` | `truncation` | Truncation of the Gaussian

## SEE ALSO

`AdaptivePercentile`, `AdaptiveBanana`, `Gauss`

## LITERATURE

P. Bakker, "Image structure analysis for seismic interpretation", PhD Thesis, TU Delft, The Netherlands, 2001

L. Haglund, Adaptive Mulitdimensional Filtering", PhD Thesis, Link"oping University, Sweden, 1992

W.T. Freeman," Steerable Filters and Local Analysis of Image Structure", PhD Thesis, MIT, USA, 1992